A checkpoint's sessions as message trees
curl --request GET \
--url https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript \
--header 'Authorization: Bearer <token>'import requests
url = "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"checkpointId": "<string>",
"from_cache": true,
"sessions": [
{
"agent": "<string>",
"checkpointTranscriptStart": 123,
"messages": [
{
"content": "<string>",
"id": "<string>",
"role": "<string>",
"timestamp": "<string>",
"images": [
{
"data": "<string>",
"mediaType": "<string>"
}
],
"runtimeTags": [
{
"content": "<string>",
"tag": "<string>"
}
],
"skillInvocation": {
"eventType": "<string>",
"skillName": "<string>",
"collapseTarget": "<string>",
"defaultCollapsed": true,
"eventId": "<string>",
"label": "<string>",
"source": {
"agent": "<string>",
"confidence": "<string>",
"signal": "<string>"
}
},
"toolCalls": [
{
"id": "<string>",
"input": {},
"name": "<string>",
"timestamp": "<string>",
"categories": [
"<string>"
],
"metadata": {
"mcpServer": "<string>"
},
"operations": "<array>",
"result": {
"type": "<string>",
"answers": {},
"error": "<string>",
"file": {
"filePath": "<string>",
"numLines": 123
},
"matchCount": 123,
"output": "<string>"
},
"skillInvocation": {
"eventType": "<string>",
"skillName": "<string>",
"collapseTarget": "<string>",
"defaultCollapsed": true,
"eventId": "<string>",
"label": "<string>",
"source": {
"agent": "<string>",
"confidence": "<string>",
"signal": "<string>"
}
}
}
]
}
],
"sessionId": "<string>",
"transcriptIdentifierAtStart": "<string>",
"attribution": {
"agentLines": 123,
"agentPercentage": 123,
"calculatedAt": "<string>",
"humanAdded": 123,
"humanModified": 123,
"humanRemoved": 123,
"totalCommitted": 123
},
"parsingFallback": true,
"parsingWarning": "<string>",
"skillEvents": [
{
"eventType": "<string>",
"skill": {
"name": "<string>"
},
"collapse": {
"defaultCollapsed": true,
"label": "<string>",
"target": "<string>"
},
"id": "<string>",
"native": {},
"source": {
"agent": "<string>",
"confidence": "<string>",
"signal": "<string>"
},
"timestamp": "<string>",
"transcriptAnchor": {
"end": 123,
"entryIds": [
"<string>"
],
"start": 123,
"toolUseId": "<string>",
"unit": "<string>"
},
"turnId": "<string>"
}
],
"tokenUsage": {
"inputTokens": 123,
"outputTokens": 123
}
}
],
"status": "<string>",
"$schema": "/api/v1/schemas/CheckpointTranscriptOutputBody.json"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}Checkpoints
A checkpoint's sessions as message trees
GET
/
repos
/
{repo_id}
/
checkpoints
/
{checkpoint_id}
/
transcript
A checkpoint's sessions as message trees
curl --request GET \
--url https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript \
--header 'Authorization: Bearer <token>'import requests
url = "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://aws-us-east-2.api.entire.io/api/v1/repos/{repo_id}/checkpoints/{checkpoint_id}/transcript")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"checkpointId": "<string>",
"from_cache": true,
"sessions": [
{
"agent": "<string>",
"checkpointTranscriptStart": 123,
"messages": [
{
"content": "<string>",
"id": "<string>",
"role": "<string>",
"timestamp": "<string>",
"images": [
{
"data": "<string>",
"mediaType": "<string>"
}
],
"runtimeTags": [
{
"content": "<string>",
"tag": "<string>"
}
],
"skillInvocation": {
"eventType": "<string>",
"skillName": "<string>",
"collapseTarget": "<string>",
"defaultCollapsed": true,
"eventId": "<string>",
"label": "<string>",
"source": {
"agent": "<string>",
"confidence": "<string>",
"signal": "<string>"
}
},
"toolCalls": [
{
"id": "<string>",
"input": {},
"name": "<string>",
"timestamp": "<string>",
"categories": [
"<string>"
],
"metadata": {
"mcpServer": "<string>"
},
"operations": "<array>",
"result": {
"type": "<string>",
"answers": {},
"error": "<string>",
"file": {
"filePath": "<string>",
"numLines": 123
},
"matchCount": 123,
"output": "<string>"
},
"skillInvocation": {
"eventType": "<string>",
"skillName": "<string>",
"collapseTarget": "<string>",
"defaultCollapsed": true,
"eventId": "<string>",
"label": "<string>",
"source": {
"agent": "<string>",
"confidence": "<string>",
"signal": "<string>"
}
}
}
]
}
],
"sessionId": "<string>",
"transcriptIdentifierAtStart": "<string>",
"attribution": {
"agentLines": 123,
"agentPercentage": 123,
"calculatedAt": "<string>",
"humanAdded": 123,
"humanModified": 123,
"humanRemoved": 123,
"totalCommitted": 123
},
"parsingFallback": true,
"parsingWarning": "<string>",
"skillEvents": [
{
"eventType": "<string>",
"skill": {
"name": "<string>"
},
"collapse": {
"defaultCollapsed": true,
"label": "<string>",
"target": "<string>"
},
"id": "<string>",
"native": {},
"source": {
"agent": "<string>",
"confidence": "<string>",
"signal": "<string>"
},
"timestamp": "<string>",
"transcriptAnchor": {
"end": 123,
"entryIds": [
"<string>"
],
"start": 123,
"toolUseId": "<string>",
"unit": "<string>"
},
"turnId": "<string>"
}
],
"tokenUsage": {
"inputTokens": 123,
"outputTokens": 123
}
}
],
"status": "<string>",
"$schema": "/api/v1/schemas/CheckpointTranscriptOutputBody.json"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}{
"error": "<string>",
"$schema": "/api/v1/schemas/ApiError.json",
"code": "<string>",
"detail": "<string>"
}Authorizations
oauth2bearerAuth
OAuth 2.0 authorization code flow.
Was this page helpful?